Show / Hide Table of Contents

# Enum SDL.SDL_WindowEventID

###### Namespace: SDL2

###### Assembly: SDL2-CS.dll

##### Syntax

    public enum SDL_WindowEventID : byte

### Fields

Name | Description
--- | ---
SDL_WINDOWEVENT_CLOSE |
SDL_WINDOWEVENT_ENTER |
SDL_WINDOWEVENT_EXPOSED |
SDL_WINDOWEVENT_FOCUS_GAINED |
SDL_WINDOWEVENT_FOCUS_LOST |
SDL_WINDOWEVENT_HIDDEN |
SDL_WINDOWEVENT_HIT_TEST |
SDL_WINDOWEVENT_LEAVE |
SDL_WINDOWEVENT_MAXIMIZED |
SDL_WINDOWEVENT_MINIMIZED |
SDL_WINDOWEVENT_MOVED |
SDL_WINDOWEVENT_NONE |
SDL_WINDOWEVENT_RESIZED |
SDL_WINDOWEVENT_RESTORED |
SDL_WINDOWEVENT_SHOWN |
SDL_WINDOWEVENT_SIZE_CHANGED |
SDL_WINDOWEVENT_TAKE_FOCUS |

### Extension Methods

EnumExtensions.GetAttribute<TAttribute>()